Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface PackageDoc

public abstract interface PackageDoc
extends Doc

Represents a java package. Provides access to information about the package, the package's comment and tags, and the classes in the package.

Since:
  JDK1.2

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ClassDoc[]` | `allClasses()` Get all classes (including Exceptions and Errors) and interfaces.
`ClassDoc[]` | `errors()` Get Error classes in this package.
`ClassDoc[]` | `exceptions()` Get Exception classes in this package.
`ClassDoc` | `findClass(java.lang.String className)` Lookup for a class within this package.
`ClassDoc[]` | `interfaces()` Get Interfaces in this package.
`ClassDoc[]` | `ordinaryClasses()` Get ordinary classes (excluding Exceptions and Errors) in this package.

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, seeTags, setRawCommentText, tags, tags`

Method Detail

### allClasses

    public ClassDoc[] allClasses()

  Get all classes (including Exceptions and Errors) and interfaces.
  Returns:
    all included classes and interfaces in this package.

### ordinaryClasses

    public ClassDoc[] ordinaryClasses()

  Get ordinary classes (excluding Exceptions and Errors) in this package.
  Returns:
    included classes in this package.

### exceptions

    public ClassDoc[] exceptions()

  Get Exception classes in this package.
  Returns:
    included Exceptions in this package.

### errors

    public ClassDoc[] errors()

  Get Error classes in this package.
  Returns:
    included Errors in this package.

### interfaces

    public ClassDoc[] interfaces()

  Get Interfaces in this package.
  Returns:
    included Errors in this package.

### findClass

    public ClassDoc findClass(java.lang.String className)

  Lookup for a class within this package.
  Returns:
    ClassDoc of found class, or null if not found.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD